



if not exist %LIBRARY_BIN%\\mpiexec.exe exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_BIN%\\msmpi.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_INC%\\mpi.f90 exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_INC%\\mpi.h exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\msmpi.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\mpifort.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not %MSMPI_BIN% == %LIBRARY_BIN% exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not %MSMPI_INC% == %LIBRARY_INC% exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not %MSMPI_LIB64% == %LIBRARY_LIB% exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
